com.brightcove.ima

## Class GoogleIMAComponent.Builder

- java.lang.Object
- - com.brightcove.ima.GoogleIMAComponent.Builder

- Enclosing class:
    GoogleIMAComponent

      public static class GoogleIMAComponent.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(BaseVideoView baseVideoView, EventEmitter eventEmitter)` The Builder constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GoogleIMAComponent` | `build()` Builds the `GoogleIMAComponent` instance
    `GoogleIMAComponent.Builder` | `setAdDisplayContainerFactory(AdDisplayContainerFactory adDisplayContainerFactory)` Sets a custom `AdDisplayContainerFactory` The Builder sets `DefaultAdDisplayContainerFactory` by default, with the `BaseVideoView` as the `ViewGroup` container
    `GoogleIMAComponent.Builder` | `setAdsRenderingSettings(com.google.ads.interactivemedia.v3.api.AdsRenderingSettings adsRenderingSettings)` Sets a custom Google IMA `AdsRenderingSettings` and validates a List of mime types (if provided by the user) The builder sets `ImaSdkFactory.createAdsRenderingSettings()` by default, without extra configurations.
    `GoogleIMAComponent.Builder` | `setDebugMode(boolean isDebugMode)` Sets debug mode on the GoogleIMAComponent's ImaSdkSettings object.
    `GoogleIMAComponent.Builder` | `setImaSdkSettings(com.google.ads.interactivemedia.v3.api.ImaSdkSettings imaSdkSettings)` Sets a custom Google IMA `ImaSdkSettings` object.
    `GoogleIMAComponent.Builder` | `setLoadVideoTimeout(int adLoadTimeoutMillis)` Sets the ad video load timeout, in milliseconds.
    `GoogleIMAComponent.Builder` | `setMimeTypes(java.util.List<java.lang.String> mimeTypes)` Sets and validates a List of mime types provided by the user.
    `GoogleIMAComponent.Builder` | `setUseAdRules(boolean useAdRules)` Specifies whether this component will be using Ad Rules or not The Builder sets Ad Rules to false by default

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(@NonNull
                         BaseVideoView baseVideoView,
                         @NonNull
                         EventEmitter eventEmitter)

      The Builder constructor

  - ### Method Detail

    - #### setImaSdkSettings

          public GoogleIMAComponent.Builder setImaSdkSettings(@Nullable
                                                              com.google.ads.interactivemedia.v3.api.ImaSdkSettings imaSdkSettings)

      Sets a custom Google IMA `ImaSdkSettings` object. The builder sets `ImaSdkFactory.createImaSdkSettings()` by default, without extra configurations.
      Returns:
        this Builder

    - #### setDebugMode

          public GoogleIMAComponent.Builder setDebugMode(boolean isDebugMode)

      Sets debug mode on the GoogleIMAComponent's ImaSdkSettings object. This is a convenience method for access to the `ImaSdkSettings.setDebugMode(boolean)` method, which can also be accessed when creating a custom ImaSdkSettings object.

    - #### setLoadVideoTimeout

          public GoogleIMAComponent.Builder setLoadVideoTimeout(int adLoadTimeoutMillis)

      Sets the ad video load timeout, in milliseconds. This is a convenience method for access to the `AdsRenderingSettings.setLoadVideoTimeout(int)` method, which can also be accessed when creating a custom AdsRenderingSettings object.

    - #### setAdsRenderingSettings

          public GoogleIMAComponent.Builder setAdsRenderingSettings(@Nullable
                                                                    com.google.ads.interactivemedia.v3.api.AdsRenderingSettings adsRenderingSettings)

      Sets a custom Google IMA `AdsRenderingSettings` and validates a List of mime types (if provided by the user) The builder sets `ImaSdkFactory.createAdsRenderingSettings()` by default, without extra configurations.
      Returns:
        this Builder

    - #### setMimeTypes

          public GoogleIMAComponent.Builder setMimeTypes(@Nullable
                                                         java.util.List<java.lang.String> mimeTypes)

      Sets and validates a List of mime types provided by the user. This is a convenience method for access to the `AdsRenderingSettings.setMimeTypes(List)` method, which can also be accessed when creating a custom AdsRenderingSettings object.
      Returns:
        this Builder

    - #### setUseAdRules

          public GoogleIMAComponent.Builder setUseAdRules(boolean useAdRules)

      Specifies whether this component will be using Ad Rules or not The Builder sets Ad Rules to false by default
      Returns:
        this Builder

    - #### setAdDisplayContainerFactory

          public GoogleIMAComponent.Builder setAdDisplayContainerFactory(@Nullable
                                                                         AdDisplayContainerFactory adDisplayContainerFactory)

      Sets a custom `AdDisplayContainerFactory` The Builder sets `DefaultAdDisplayContainerFactory` by default, with the `BaseVideoView` as the `ViewGroup` container
      Returns:
        this Builder

    - #### build

          public GoogleIMAComponent build()

      Builds the `GoogleIMAComponent` instance